/**
*** step_theme_main.h:	ColorStep declarations.
***
*** Written by:		Ullrich Hafner
***    	
*** Copyright (C) 1999 Ullrich Hafner <hafner@bigfoot.de>
***
*** Modified by:        Juan Pablo Romero Mndez <juan_pablo_22@yahoo.com>
*** Modified by:        Pierre Baillargeon <pierreba@globetrotter.net>
***
*** This program is free software; you can redistribute it and/or modify
*** it under the terms of the GNU General Public License as published by
*** the Free Software Foundation; either version 2 of the License, or
*** (at your option) any later version.
***
*** This program is distributed in the hope that it will be useful,
*** but WITHOUT ANY WARRANTY; without even the implied warranty of
*** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*** GNU General Public License for more details.
***
*** You should have received a copy of the GNU General Public License
*** along with this program; if not, write to the Free Software
*** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
**/

#include <string.h>
#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <gtk/gtk.h>
#include <gtk/gtkrc.h>
#include <gtk/gtkthemes.h>
#include <gtk/gtkbutton.h>
#include <gtk/gtkcheckbutton.h>
#include <gtk/gtkwindow.h>
#include <gtk/gtklabel.h>
#include <gtk/gtkmain.h>
#include <gtk/gtksignal.h>


/***************************************************************************
****************************************************************************
***
*** GTK Color Step Theme
***
*** License: GPL (Gnu Public License)
**/

extern GdkGC *colorstep_darker_gc;
extern GdkGC *colorstep_darker2_gc;
extern GdkGC *colorstep_blue_darker_gc;

extern GdkFont     *default_font;
extern GSList      *unattached_styles;

/* Exported vtable from th_draw */
extern GtkStyleClass step_class;

/* pixmap to be fixed */
extern char *color_step_radio_off[];
extern char *color_step_radio_off_prelight[];
extern char *color_step_radio_off_disabled[];

extern char *color_step_radio_on[];
extern char *color_step_radio_on_disabled[];
extern char *color_step_radio_on_prelight[];

extern char *color_step_radio_s_off[];
extern char *color_step_radio_s_on[];

extern char *check_on[];

/*
** Define ALWAYS_PRELIGHT_SELECTION to have
** the radio and check buttons be drawn with
** the prelight color when they are on but
** not prelit.
*/

/* #define ALWAYS_PRELIGHT_SELECTION */

